* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: "Poppins", Helvetica, Arial, sans-serif;
  font-weight: normal;
  list-style: none;
}

body {
  background-color: #e5e5e5;
}

.txtw {
  color: #fff;
}

.txtd {
  color: #344563;
}

.txt1 {
  color: #091e42;
}

.txt2 {
  color: #6070ff;
}

.txt3 {
  color: #253858;
}

.txt4 {
  color: #7f8cff;
}

.txt5 {
  color: #396df2;
}

.txt6 {
  color: #6b778c;
}

.fsw-7 {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
}

.fw-5 {
  font-weight: 500;
}

.fw-4 {
  font-weight: 400;
  font-size: 20px;
}

.fs-40 {
  font-size: 25px;
}

.fs-20 {
  font-size: 20px;
}

.fs-18 {
  font-size: 18px;
}

.fs-17 {
  font-size: 17px;
}

.fs-16 {
  font-size: 16px;
}

.fs-15 {
  font-size: 15px;
}

.fs-12 {
  font-size: 12px;
}

.bg-white {
  background-color: #fff;
}

header {
  position: fixed;
  right: 0;
  left: 0;
  background-color: #fff;
}

.header-nav {
  min-width: 375px;
  padding: 13px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.mobnavbar-link {
  display: none;
}

.navbar-logo {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin-left: 40px;
  transition: background-color 2s, transform 2s;
  animation-name: rotatelogo;
  animation-duration: 4s;
}

.navbar-logo:hover {
  cursor: pointer;
  background-color: #e5e5e5;
  transform: rotate(-180deg);
}

@keyframes rotatelogo {
  from {
    rotate: 0deg;
  }

  to {
    rotate: 360deg;
  }
}

.logo-link {
  font-weight: 700;
  font-size: 18px;
  margin: 0 20px;
  padding: 10px;
}

.navbar-list {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin-right: 25px;
}

.navbar-link {
  font-weight: 500;
  font-size: 15px;
  padding: 10px;
  margin: 0 20px;
}

.grid-container {
  min-width: 375px;
  background-color: #f7f7f9;
  grid-template-columns: repeat(1, 1fr);
  grid-template-rows: auto;
  padding-top: 50px;
  margin-bottom: 0;
}

.grid-item {
  margin-left: 30px;
  margin-right: 30px;
}

.grid-item-1 {
  min-height: 95vh;
  background-image: url("../images/desktop/introduction.png");
  background-repeat: no-repeat;
  background-position: 0 0;
  background-size: 100% 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-bottom-left-radius: 15%;
  margin-bottom: 40px;
}

.intro-container {
  margin: 0 20px;
  width: 70%;
}

.link-img {
  height: 20px;
  width: 20px;
  margin: 10px;
}

.list-social {
  display: flex;
  align-items: flex-end;
}

.work-container {
  display: flex;
  align-items: stretch;
  border-radius: 20px;
  margin: 60px;
}

.mlr-20 {
  margin-left: 20px;
  margin-right: 20px;
}

.mall-30 {
  margin: 30px;
}

.section-img {
  width: 50%;
  border-radius: 8px;
}

.section-content {
  width: 50%;
  border-radius: 8px;
}

.img-content {
  width: 100%;
  height: 100%;
}

.img-content:hover {
  opacity: 0.9;
  transform: scale(1.2, 1.2);
}

.flexr-default {
  display: flex;
  align-items: center;
}

.mt-30 {
  margin-top: 30px;
}

.work-link {
  margin: 2px;
  padding: 10px;
}

.list-title {
  margin-right: 10px;
  text-align: left;
}

.flex-list {
  display: flex;
  justify-content: center;
  align-items: center;
}

.dot-icon {
  width: 10px;
  height: 10px;
  background-color: #c1c7d0;
  border-radius: 50%;
}

.lang-link {
  margin-right: 10px;
  padding: 10px;
  background-color: #ebebff;
  border-radius: 8px;
  transition: color 2s, background-color 4s;
}

.lang-link:hover {
  color: #fff;
  background-color: #6070ff;
}

.btn-more {
  margin: 10px;
  padding: 12px;
  background-color: #fff;
  border: 1px solid #396df2;
  border-radius: 12px;
  margin-left: 0;
}

.btn-more:hover {
  color: #fff;
  border: 1px solid #7f8cff;
  background-color: #6070ff;
  box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
  border-radius: 8px;
}

.btn-more:disabled {
  background-color: #fff;
  border: 1px solid #5e6c84;
  color: #5e6c84;
}

.btn-more:active {
  background: #2230d2;
  border-radius: 8px;
  color: #fff;
}

.grid-item-3 {
  border-top-right-radius: 50px;
  margin: 30px;
}

.about-container {
  display: flex;
  align-items: flex-start;
  margin: 30px;
}

.about-myself {
  width: 45%;
}

.about-myexperience {
  width: 55%;
  margin: 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.experience-list {
  width: 90%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 20px;
  margin-bottom: 10px;
}

.upward-icon {
  rotate: 90deg;
}

.exper-lang {
  display: flex;
}

.exper-lang-list {
  margin-left: 10px;
  margin-right: 10px;
}

.lang-img {
  margin-bottom: 4px;
  margin-right: 8px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
}

.list-hozin {
  width: 92%;
  border-bottom: 0.5px solid #dfe1e6;
}

.exper-link {
  padding: 5px 10px;
  background-color: #f7f7f9;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  border-radius: 8px;
}

.grid-item-4 {
  min-width: 375px;
  border-top-left-radius: 120px;
  min-height: 100vh;
  background-color: #6070ff;
  background-image: url("../images/desktop/contact.png");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-bottom: 0;
}

.contact-container {
  color: #fff;
  width: 33%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.contact-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.contact-title {
  color: #ebebff;
  justify-content: center;
  font-weight: 400px;
  font-size: 20px;
  line-height: 28px;
}

.input-bg {
  width: 80%;
  margin-top: 20px;
  padding: 15px;
  color: #172b4d;
  background-color: #fff;
  border: 1px solid #cfd8dc;
}

.footer {
  position: relative;
  width: 100%;
  text-align: center;
  display: none;
}

.end-page {
  position: absolute;
  height: 10px;
  background-color: #000;
  width: 25%;
  border: 5px solid #000;
  bottom: 10px;
  left: 40%;
}

@media (max-width: 768px) {
  .mobnavbar-link {
    display: block;
  }

  .desknavbar-link {
    display: none;
  }

  .grid-item-1 {
    background-image: url("../images/mobile/introduction.png");
  }

  .work-container {
    flex-direction: column;
    align-items: stretch;
    border-radius: 20px;
    margin: 20px;
  }

  #workimg1 {
    content: url("../images/mobile/project1.png");
  }

  #workimg2 {
    content: url("../images/mobile/project2.png");
  }

  #workimg3 {
    content: url("../images/mobile/project3.png");
  }

  #workimg4 {
    content: url("../images/mobile/project4.png");
  }

  .section-img {
    margin: 20px;
    width: 90%;
    border-radius: 8px;
    order: -1;
  }

  .section-content {
    width: 90%;
    margin: 20px;
    border-radius: 8px;
  }

  .about-container {
    flex-direction: column;
    align-items: flex-start;
    text-align: justify;
  }

  .about-myself {
    width: 96%;
  }

  .about-myexperience {
    width: 100%;
  }

  .exper-lang {
    width: 96%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .exper-lang-list {
    width: 96%;
  }

  .exper-link {
    width: 100%;
    padding: 5px 10px;
    margin: 6px;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    border-radius: 8px;
  }

  .grid-item-4 {
    background-image: url("../images/mobile/contact.png");
    background-size: 100% 100%;
    justify-content: flex-end;
    align-items: flex-start;
    border: 1px solid #fff;
  }

  .contact-container {
    padding-top: 20%;
    width: 100%;
    justify-content: flex-end;
    align-items: center;
  }

  .contact-content {
    justify-content: flex-end;
    align-items: flex-start;
  }

  .desktop-only {
    display: none;
  }

  .footer {
    display: block;
  }
}
